(document:surround "/std/frame")
(document:insert "/std/functions")
(document:envelop with-translation _ "alterator-install2")

(define save-timezone (make-cell #f))
(define save-datetime (make-cell #f))

(define (cell-run x)
 (let ((x (cell-ref x))) (and (procedure? x) (x))))

(define (save-all-tabs)
  (and (cell-run save-timezone)
       (cell-run save-datetime)))

(gridbox columns "20;60;20"
	 (spacer)
	 (tabbox
          (tab (_ "Time zone")
               (document:id timezone
                            (document:subdocument '/timezone
                                                  'frame:auto-save save-timezone)))
          (tab (_ "Date/Time" )
               (document:id datetime
                            (document:subdocument '/datetime
                                                  'frame:auto-save save-datetime)))
	 )

	 (spacer))

(document:root (when loaded (timezone loaded) (datetime loaded)))
(frame:on-next (thunk (or (save-all-tabs) 'cancel)))
